Package org.apache.lucene.index

# Class MultiPostingsEnum.EnumWithSlice

java.lang.Object
org.apache.lucene.index.MultiPostingsEnum.EnumWithSlice

Enclosing class:
  `MultiPostingsEnum`

public static final class MultiPostingsEnum.EnumWithSlice extends Object
Holds a `PostingsEnum` along with the corresponding `ReaderSlice`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `PostingsEnum`
  `postingsEnum`
  `PostingsEnum` for this sub-reader.
  `ReaderSlice`
  `slice`
  `ReaderSlice` describing how this sub-reader fits into the composite reader.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### postingsEnum

    public PostingsEnum postingsEnum
    `PostingsEnum` for this sub-reader.

  - ### slice

    public ReaderSlice slice
    `ReaderSlice` describing how this sub-reader fits into the composite reader.

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`